import { useQuery } from "@tanstack/react-query";
import { PurchaseWithDetails } from "@/api/mock/models";
import { purchaseAPI } from "@/api/api";

export function usePurchase(purchaseId?: number) {
	return useQuery<PurchaseWithDetails | null>({
		queryKey: ["purchase", purchaseId],
		queryFn: () => {
			if (purchaseId === undefined) return Promise.resolve(null);
			return purchaseAPI.getPurchaseWithDetails(purchaseId);
		},
		enabled: purchaseId !== undefined,
	});
}
